(executables
  (names main)
  (libraries js_of_ocaml-lwt)
  (modes byte)
  (preprocess (pps js_of_ocaml-ppx)))

(ocamllex wikicreole)

(rule
  (targets main.js)
  (action
    (run %{bin:js_of_ocaml}
         --source-map %{dep:main.bc} -o %{targets} --pretty)))

(alias
  (name default)
  (deps main.js index.html))
